#ifndef _SELECTALLTOOL_H_
#define _SELECTALLTOOL_H_

#include <gdk/gdkevents.h>
#include <cairomm/context.h>

#include "Tool.h"
#include "Line.h"

class PolyDraw;

class SelectAllTool : public Tool
{
public:
	SelectAllTool(PolyDraw *pd) : Tool(pd) {}
	~SelectAllTool();

	bool on_mouse_down(GdkEventButton *event);
	bool on_mouse_up(GdkEventButton *event);
	bool on_mouse_move(GdkEventMotion *event);

	bool redraw(Cairo::RefPtr<Cairo::Context>& cr);
};

#endif