#ifndef _CUTPOLYGONTOOL_H_
#define _CUTPOLYGONTOOL_H_

#include <gdk/gdkevents.h>
#include <cairomm/context.h>

#include "Tool.h"
#include "Line.h"

class PolyDraw;

class CutPolygonTool : public Tool
{
public:
	CutPolygonTool(PolyDraw *pd) : Tool(pd),split(NULL) {}
	~CutPolygonTool();

	bool on_mouse_down(GdkEventButton *event);
	bool on_mouse_up(GdkEventButton *event);
	bool on_mouse_move(GdkEventMotion *event);

	bool redraw(Cairo::RefPtr<Cairo::Context>& cr);

private:
	Line *split;
};

#endif