#ifndef _GLUEPOLYGONTOOL_H_
#define _GLUEPOLYGONTOOL_H_

#include <gdk/gdkevents.h>
#include <cairomm/context.h>

#include "Tool.h"
#include "Vertex.h"

class PolyDraw;

class GluePolygonTool : public Tool
{
public:
	GluePolygonTool(PolyDraw *pd) : Tool(pd),down(false) {}
	~GluePolygonTool();

	bool on_mouse_down(GdkEventButton *event);
	bool on_mouse_up(GdkEventButton *event);
	bool on_mouse_move(GdkEventMotion *event);

	bool redraw(Cairo::RefPtr<Cairo::Context>& cr);

private:
	bool down;

	void gluePolygons() const;
	bool selectPolygonAtPoint(const Vertex& point) const;

};

#endif